"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var DrawComponent = (function () {
    function DrawComponent(router, resolver, elementRef, injector, applicationRef) {
        this.router = router;
        this.resolver = resolver;
        this.elementRef = elementRef;
        this.injector = injector;
        this.applicationRef = applicationRef;
        this.show = false;
        this.firstInit = true;
    }
    DrawComponent.prototype.onClick = function (event) {
        var _this = this;
        //第一次点击无效
        if (this.firstInit) {
            this.firstInit = false;
            return;
        }
        if (!document.getElementsByTagName('app-root')[0].contains(event.target)
            && !event.target.contains(document.getElementsByTagName('app-root')[0])) {
            return;
        }
        if (!this.elementRef.nativeElement.contains(event.target)) {
            var result = this.componentRef.instance.beforeLeave();
            if (typeof (result) == "boolean" && result) {
                this.closeComponent();
            }
            if (typeof (result) == "object" && result.then) {
                result.then(function (r) {
                    if (r) {
                        _this.closeComponent();
                    }
                });
            }
        }
    };
    DrawComponent.prototype.closeComponent = function () {
        var _this = this;
        this.show = false;
        setTimeout(function () {
            _this.container.clear();
            _this.closeResolve('close');
        }, 500);
    };
    DrawComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        setTimeout(function () {
            _this.show = true;
        });
    };
    DrawComponent.prototype.ngOnDestroy = function () {
        this.container.clear();
    };
    DrawComponent.prototype.ngDoCheck = function () {
    };
    DrawComponent.prototype.ngOnInit = function () {
        this.container.clear();
        this.componentRef = this.container.createComponent(this.resolver.resolveComponentFactory(this.injectComponet));
        this.instance = this.componentRef.instance;
        this.instance.data = this.data;
        this.instance.handler = this.handler;
    };
    DrawComponent.prototype.ngOnChanges = function (changes) {
    };
    DrawComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "drawer",
                    template: "\n   <div class=\"draw-container\" [ngClass]=\"{'show':show}\" [style.padding]=\"padding? padding+'px': 30+'px'\">\n    <ng-template #componentContainer></ng-template>\n   </div>\n  ",
                    styles: [
                        "\n  .draw-container{ \n    width:66%; \n    position: fixed; \n    height: 100vh; \n    right: 0; \n    background-color: white; \n    max-width: 0; \n    transition: max-width 0.5s ease-in,color 0.3s ease-out; \n    box-shadow: -2px 0px 15px 0px #888888; \n    z-index: 1; \n    background: #fcfcfc;\n    overflow-x: hidden; \n    overflow-y: auto;\n    z-index: 1001;\n  }\n  .draw-container.show{\n    max-width:100%;\n\t}\n  "
                    ]
                },] },
    ];
    /** @nocollapse */
    DrawComponent.ctorParameters = function () { return [
        { type: router_1.Router, },
        { type: core_1.ComponentFactoryResolver, },
        { type: core_1.ElementRef, },
        { type: core_1.Injector, },
        { type: core_1.ApplicationRef, },
    ]; };
    DrawComponent.propDecorators = {
        "data": [{ type: core_1.Input },],
        "handler": [{ type: core_1.Input },],
        "padding": [{ type: core_1.Input },],
        "container": [{ type: core_1.ViewChild, args: ["componentContainer", { read: core_1.ViewContainerRef },] },],
        "onClick": [{ type: core_1.HostListener, args: ['document:click', ['$event'],] },],
    };
    return DrawComponent;
}());
exports.DrawComponent = DrawComponent;
//# sourceMappingURL=draw.component.js.map